<template>
    <ol class="list-container">
      <li class="list-element-container" v-for="(cur, index) in dataSource" :key="index" @mousedown="$emit('on-select', {...cur})">
        <div class="list-element" :class="{'': index === 0}">{{ renderRowComponent(cur) }}</div>
      </li>
    </ol>
</template>

<script>
export default {
  props: {
    dataSource: Array,
    onSelect: {
      type: Function,
      required: true
    },
    renderRowComponent: {
      type: Function,
      default: row => row
    }
  },
  name: "List"
}
</script>

<style scoped lang="scss">
.list-container {
  background: #FFFFFF;
  max-height: 144px;
  overflow-y: scroll;
  box-shadow: 0 8px 24px -4px rgba(27, 46, 94, 0.12);
  border-radius: 8px;

  &::-webkit-scrollbar {
    display: none;
  }

  .list-element-container {
    list-style: none;
    background-color: white;
    border-radius: 8px;
    padding: 8px;

    .list-element {
      background-color: white;
      padding: 8px;

      &:hover {
        background-color: #F8F8F8;
        border-radius: 4px;
      }
    }
  }

}

</style>